#include<bits/stdc++.h>
using namespace std;
#define N 25

int main(){
	freopen("barrack.in","r",stdin);
	freopen("barrack.out","w",stdout);
	cin>>n>>m;
	for(int i=1,u,v;i<=m;i++){
		scanf("%d%d",&u,&v);
	}
	printf("0");
	return 0;
}
